opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opensaml::saml2md::isValidForProtocol Class Reference

Predicate to test a role for validity and protocol support. More...

`#include <saml/saml2/metadata/Metadata.h>`

Inheritance diagram for opensaml::saml2md::isValidForProtocol:

## Public Member Functions
| isValidForProtocol (const XMLCh *protocol)
| Constructor. More...
bool | operator() (const RoleDescriptor *role) const
| Returns true iff the supplied role is valid now and supports the right protocol. More...

## Detailed Description

Predicate to test a role for validity and protocol support.

## Constructor & Destructor Documentation

opensaml::saml2md::isValidForProtocol::isValidForProtocol | ( | const XMLCh * | protocol | ) |
| inline

Constructor.

Parameters

  protocol | support constant to test for

## Member Function Documentation

bool opensaml::saml2md::isValidForProtocol::operator() | ( | const RoleDescriptor * | role | ) | const
| inline

Returns true iff the supplied role is valid now and supports the right protocol.

Parameters

  role | role to test

Returns
  result of predicate

The documentation for this class was generated from the following file:

- saml/saml2/metadata/Metadata.h